/*******************************************************************************
* Copyright (c)                                                                *
*           2005   Tristan Allwood,                                            *
*           2005   Daniel Burke,                                               *
*           2005   Marc Hull,                                                  *
*           2005   Ekaterina Itskova,                                          *
*           2005   Steve Zymler                                                *
*                                                                              *
* Permission is hereby granted, free of charge, to any person obtaining a      *
* copy of this software and associated documentation files (the                *
* "Software"), to deal in the Software without restriction, including          *
* without limitation the rights to use, copy, modify, merge, publish,          *
* distribute, sublicense, and/or sell copies of the Software, and to           *
* permit persons to whom the Software is furnished to do so, subject to        *
* the following conditions:                                                    *
*                                                                              *
* The above copyright notice and this permission notice shall be included      *
* in all copies or substantial portions of the Software.                       *
*                                                                              *
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS      *
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF                   *
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.       *
* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY         *
* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,         *
* TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE            *
* SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                       *
*******************************************************************************/
/*
 * Created on 26-Nov-2004 by toa02
 *
 */
package uk.ac.ic.doc.kevlar.experiment.tris.swing;

import java.awt.Graphics;
import java.awt.event.ComponentEvent;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;
import java.awt.image.renderable.RenderableImage;

import javax.swing.JTextArea;

/**
 * @author toa02
 *
 */
public class CustomTextBox extends JTextArea {

    
    /**
     * @see javax.swing.JComponent#processKeyEvent(java.awt.event.KeyEvent)
     */
    public void processKeyEvent(KeyEvent e) {
        super.processKeyEvent(e);
    }
    
    protected void processMouseEvent(MouseEvent e) {
        // TODO: tora Auto-generated method stub
        super.processMouseEvent(e);
        //System.out.println(e);
    }
    
    protected void processComponentEvent(ComponentEvent e) {
        super.processComponentEvent(e);
        //System.out.println(e);
    }
    
     protected void processMouseMotionEvent(MouseEvent e) {
        super.processMouseMotionEvent(e);
        //System.out.println(e);
    }
    
    /**
     * Force this to be public
     * @see java.awt.Component#paintAll(java.awt.Graphics)
     */
    public void paintAll(Graphics g) {
        super.paintAll(g);
    }
}

